Subject: bug#43418: ffprobe/avprobe and ffmpeg/avconv should be added as dependencies of youtube-dl so it will function correctly

From: Leo Famulari <[email-masked]>
Date: Tue, 15 Sep 2020 19:17:06 -0400

On Tue, Sep 15, 2020 at 02:06:11PM +0200, Tobias Geerinckx-Rice via Bug reports for GNU Guix wrote:
> Matters would be different if the error message were less clear, or perhaps
> if ffmpeg weren't so insanely great:
> 
>  λ guix size youtube-dl | tail -n1
>  total: 186.9 MiB
>  λ guix size youtube-dl ffmpeg | tail -n1
>  total: 811.2 MiB

I wonder, should we expect FFmpeg to already be referenced by somebody's
profile if they are using youtube-dl? VLC and mpv both depend on FFmpeg.
The use case of "download video and watch it on another machine (or
never watch it)" seems somewhat esoteric.

On the other hand, youtube-dl has no explicit dependencies — I guess
that everything it needs is from Python. That's beautiful, and I
understand the reluctance to add a dependency, especially on a "kitchen
sink" package like FFmpeg.